gtkmm 3.13.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::EventController Class Reference
Event Controllers and Gestures

Self-contained handler of series of events. More...

`#include <gtkmm/eventcontroller.h>`

Inheritance diagram for Gtk::EventController:
[legend]

## Public Member Functions
virtual | ~EventController ()
GtkEventController* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkEventController* | gobj () const
| Provides access to the underlying C GObject. More...
GtkEventController* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Widget* | get_widget ()
| Returns the Gtk::Widget this controller relates to. More...
const Widget* | get_widget () const
| Returns the Gtk::Widget this controller relates to. More...
bool | handle_event (const GdkEvent* event)
| Feeds an events into controller, so it can be interpreted and the controller actions triggered. More...
void | reset ()
| Resets the controller to a clean state. More...
PropagationPhase | get_propagation_phase () const
| Gets the propagation phase at which controller handles events. More...
void | set_propagation_phase (PropagationPhase phase)
| Sets the propagation phase at which a controller handles events. More...
Glib::PropertyProxy_ReadOnly < Widget* > | property_widget () const
| Widget the gesture relates to. More...
Glib::PropertyProxy < PropagationPhase > | property_propagation_phase ()
| Propagation phase at which this controller is run. More...
Glib::PropertyProxy_ReadOnly < PropagationPhase > | property_propagation_phase () const
| Propagation phase at which this controller is run. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| EventController ()
| There is no create() method that corresponds to this constructor, because only derived classes shall be created. More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gtk::EventController > | wrap (GtkEventController* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

Self-contained handler of series of events.

This is an abstract base class, low-level implementation for event controllers. Those react to a series of GdkEvents, and possibly trigger actions as a consequence of those.

Since gtkmm 3.14:

## Constructor & Destructor Documentation

virtual Gtk::EventController::~EventController | ( |  | ) |
| virtual

Gtk::EventController::EventController | ( |  | ) |
| protected

There is no create() method that corresponds to this constructor, because only derived classes shall be created.

## Member Function Documentation

PropagationPhase Gtk::EventController::get_propagation_phase | ( |  | ) | const

Gets the propagation phase at which controller handles events.

Since gtkmm 3.14:

Returns
  The propagation phase.

static GType Gtk::EventController::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

Widget* Gtk::EventController::get_widget | ( |  | ) |

Returns the Gtk::Widget this controller relates to.

Since gtkmm 3.14:

Returns
  A Gtk::Widget.

const Widget* Gtk::EventController::get_widget | ( |  | ) | const

Returns the Gtk::Widget this controller relates to.

Since gtkmm 3.14:

Returns
  A Gtk::Widget.

GtkEventController* Gtk::EventController::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkEventController* Gtk::EventController::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GtkEventController* Gtk::EventController::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

bool Gtk::EventController::handle_event | ( | const GdkEvent * | event | ) |

Feeds an events into controller, so it can be interpreted and the controller actions triggered.

Since gtkmm 3.14:

Parameters

  event | A Gdk::Event.

Returns
  `true` if the event was potentially useful to trigger the controller action.

Glib::PropertyProxy< PropagationPhase > Gtk::EventController::property_propagation_phase | ( |  | ) |

Propagation phase at which this controller is run.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< PropagationPhase > Gtk::EventController::property_propagation_phase | ( |  | ) | const

Propagation phase at which this controller is run.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Widget* > Gtk::EventController::property_widget | ( |  | ) | const

Widget the gesture relates to.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

void Gtk::EventController::reset | ( |  | ) |

Resets the controller to a clean state.

Every interaction the controller did through Gtk::EventController::signal_handle_event() will be dropped at this point.

Since gtkmm 3.14:

void Gtk::EventController::set_propagation_phase | ( | PropagationPhase | phase | ) |

Sets the propagation phase at which a controller handles events.

If phase is Gtk::PHASE_NONE, no automatic event handling will be performed, but other additional gesture maintenance will. In that phase, the events can be managed by calling handle_event().

Since gtkmm 3.14:

Parameters

  phase | A propagation phase.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::EventController > wrap | ( | GtkEventController * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.